Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 623593 - RFE: Errors during install/update reporting.
RFE: Errors during install/update reporting.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-12 05:03 EDT by Jóhann B. Guðmundsson
Modified: 2015-02-01 17:52 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 14:30:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2010-08-12 05:03:47 EDT
Description of problem:

Well the Idea here is when an end user installs or updates and package and that update/install triggers warning or errors abrt would detect that and allow the end user to file bug report against that component. 

So when it encounters an error it takes the component and the release and the error from yum.log? and offers the end user to report that to bugzilla.

Note these needs to cats bugs encounter either by running yum via cli or if it's run by some graphical tool like packagekit.

To give you an hint on how many bugs it can catch and ease the reporters life 
the following 7 bugs were encountered in last nights-compose...

Installing: fedora-release-notes         ################### [  83/1077]/var/tmp/rpm-tmp.bsyB7L: line 2: touch: command not found

Installing: plymouth-theme-charge        ################### [ 635/1077]warning: %post(plymouth-theme-charge-0.8.4-0.20100723.1.fc14.i686) scriptlet failed, exit status 1 

Installing: nautilus                     ################### [ 939/1077]WARNING: Failed to parse default value `' for schema (/schemas/apps/nautilus/preferences/navigation_window_saved_maximized)

Installing: empathy                      ################### [1042/1077]I/O warning : failed to load external entity "/etc/gconf/schemas/empathy.schemas"
Failed to open `/etc/gconf/schemas/empathy.schemas': No such file or directory

Installing: simple-scan                  ################### [1053/1077]gconfd-2: no process found

Installing: gnome-panel                  ################### [1068/1077]I/O warning : failed to load external entity "/etc/gconf/schemas/notification_area_applet.schemas"
Failed to open `/etc/gconf/schemas/notification_area_applet.schemas': No such file or directory

Installing: gnome-panel                  ################### [1068/1077]I/O warning : failed to load external entity "/etc/gconf/schemas/notification_area_applet.schemas"
Failed to open `/etc/gconf/schemas/notification_area_applet.schemas': No such file or directory
 
Watch out for legit warnings. . . 

Installing: plymouth                     ################### [ 918/1077]warning: /etc/dracut.conf created as /etc/dracut.conf.rpmnew

If package was used to install or update then all the 7 above errors would get unreported. 

Reporters only encounter these errors if they run yum from cli and are actually watching it while it's installing/updating and then it's on a whim if the reporter would file it. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora End Of Life 2012-08-16 14:30:48 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.